УбратьВыбраннуюПаруФишекМаджонга = мир =>
{
    мир.убранныеФишкиМаджонга = мир.выбранныеФишкиМаджонга.slice();
    мир.выбранныеФишкиМаджонга = [];
    console.debug("убрать. выбранныеФишкиМаджонга", мир.выбранныеФишкиМаджонга);
    мир.уведомить("изменили выбранные фишки маджонга");
    мир.уведомить("убрали фишки маджонга");
};


// // // //


ИсключитьИзВыбранныхФишекМаджонгаПервую = мир =>
{
    мир.выбранныеФишкиМаджонга.shift();
    console.debug("исключить. выбранныеФишкиМаджонга", мир.выбранныеФишкиМаджонга);
    мир.уведомить("изменили выбранные фишки маджонга");
};


// // // //


СравнитьПаруВыбранныхФишекМаджонга = мир =>
{
    // Удостоверяемся в наличии двух фишек.
    if (мир.выбранныеФишкиМаджонга.length != 2)
    {
        return;
    }
    var н1 = мир.выбранныеФишкиМаджонга[0];
    var н2 = мир.выбранныеФишкиМаджонга[1];
    var г1 = мир.фишкиМаджонга[н1]["🚩"];
    var г2 = мир.фишкиМаджонга[н2]["🚩"];
    if (г1 == г2)
    {
        console.debug("выбрали пару фишек маджонга одной группы");
        мир.уведомить("выбрали пару фишек маджонга одной группы");
    }
    else
    {
        мир.уведомить("выбрали пару фишек маджонга разных групп");
    }
};


// // // //


ВыбратьФишкуМаджонга = мир =>
{
    var номер = мир.фишкаМаджонгаДляВыбора;
    // Отсекаем выбор одной и той же фишки.
    if (
        мир.выбраннаяФишкаМаджонга &&
        мир.выбраннаяФишкаМаджонга == номер
    ) {
        return;
    }
    мир.выбраннаяФишкаМаджонга = номер;
    мир.выбранныеФишкиМаджонга.push(номер);
    console.debug("выбрать. выбранныеФишкиМаджонга", мир.выбранныеФишкиМаджонга);
    мир.уведомить("изменили выбранные фишки маджонга");
};


// // // //


ПодготовитьМеханикуМаджонга = мир =>
{
    мир.выбранныеФишкиМаджонга = [];
};